kind: pipeline
name: default

steps:
  - name: git-lfs
    image: alpine/git
    commands:
      - git lfs install
      - git lfs pull
  - name: build
    image: git.ipng.ch/ipng/drone-hugo:release-0.130.0
    settings:
      hugo_version: 0.130.0
      extended: true
  - name: rsync
    image: drillster/drone-rsync
    settings:
      user: drone
      key:
        from_secret: drone_sshkey
      hosts:
        - nginx0.chrma0.net.ipng.ch
        - nginx0.chplo0.net.ipng.ch
        - nginx0.nlams1.net.ipng.ch
        - nginx0.nlams2.net.ipng.ch
      port: 22
      args: '-6'
      source: public/
      target: /var/www/sabbatical.ipng.nl/
      delete: true
      recursive: true
      secrets: [ drone_sshkey ]

image_pull_secrets:
  - git_ipng_ch_docker
